import * as actions from '../bankEntries'
import {
  ADD_BANK_ENTRIES,
  ARCHIVE_BANK_ENTRY
} from '@instructure/quiz-common/lib/constants'

describe('bankEntries actions creators', () => {
  describe('#addBankEntries', () => {
    it('returns a well-formed and correct action', () => {
      expect(actions.addBankEntries([{}])).to.deep.equal({
        type: ADD_BANK_ENTRIES,
        payload: [{}]
      })
    })
  })

  describe('#archiveBankEntry', () => {
    it('returns a well-formed and correct action', () => {
      expect(actions.archiveBankEntry('45')).to.deep.equal({
        type: ARCHIVE_BANK_ENTRY,
        payload: '45'
      })
    })
  })
})
